import { Router } from "express";
import { body } from "express-validator";
import handleValidationResult from "../middleware/handleValidationResult";
import {checkInController, checkOutController} from "../controllers/createLogEntry.controllers";

const entryRouter = Router();

entryRouter.post(
  "/api/checkin/",
  body("startTime").isISO8601(),
  body("estimatedEndTime").isISO8601(),
  body("destination").isString(),
  body("email").isEmail().normalizeEmail(),
  body("fullNameOfResponsibleClient").not().isEmpty(),
  body("additionalClients").if(body("additionalClients").exists()).isArray(),
  body("note").if(body("note").exists()).isString(),
  handleValidationResult,
  checkInController
);
/*
entryRouter.post(
  "/api/checkout/",
  checkOutController
);
*/


export default entryRouter;